## python-hdmedians 0.14.2

=== Makefile ===

inplace:
	python3 setup.py build_ext -i

test: inplace
	nosetests

clean:
	@rm -fr build dist
	@rm -fr hdmedians/*.so
	@rm -fr hdmedians/*.c
	@rm -fr hdmedians.egg-info
	@rm -fr hdmedians/__pycache__

doc: docs/README_.md docs/plots.py
#-- requires `pip3 install readme2tex cairosvg`
	@python3 -m readme2tex --output README.md --svgdir docs --project hdmedians --usepackage "stix" --rerender docs/README_.md
	@python3 docs/plots.py
#-- hack to make images work
	@for f in $(wildcard docs/*.svg); do cairosvg -d 300 $$f -o $${f/svg/png}; done
	@sed -i~ -e 's/svg/png/g; s/rawgit/github/g; s/master/raw\\\/master/g' README.md
	@rm -fr *~
	git rm --ignore-unmatch --cached $(wildcard docs/*.svg) $(wildcard docs/*.png)
	git add $(wildcard docs/*.svg) $(wildcard docs/*.png)
	git add README.md docs/README_.md
	git commit -m 'Update README'
	git push

sdist:
	@rm -fr dist/
	python3 setup.py sdist

upload:
	python3 setup.py sdist register upload

## python-hdmedians 0.13~git20171027.8e0e9e3

=== debian/changelog ===
python-hdmedians (0.13~git20171027.8e0e9e3-1build3) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:23:05 +0100

python-hdmedians (0.13~git20171027.8e0e9e3-1build2) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:43:05 +0000

python-hdmedians (0.13~git20171027.8e0e9e3-1build1) disco; urgency=medium

  * No-change rebuild to build without python3.6 support.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Nov 2018 12:09:03 +0000

python-hdmedians (0.13~git20171027.8e0e9e3-1) unstable; urgency=medium

  * Initial release (Closes: #906218)

 -- Andreas Tille <tille@debian.org>  Thu, 16 Aug 2018 06:35:20 +0200

=== debian/control ===
Source: python-hdmedians
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               cython3,
               python3-all-dev,
               python3-nose,
               python3-numpy,
               python3-setuptools
#               cython,
#               python-all-dev,
#               python-nose,
#               python-numpy,
#               python-setuptools,
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/med-team/python-hdmedians
Vcs-Git: https://salsa.debian.org/med-team/python-hdmedians.git
Homepage: https://github.com/daleroberts/hdmedians

Package: python3-hdmedians
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Description: high-dimensional medians in Python3
 Various definitions for a high-dimensional median exist and this Python
 package provides a number of fast implementations of these definitions.
 Medians are extremely useful due to their high breakdown point (up to
 50% contamination) and have a number of nice applications in machine
 learning, computer vision, and high-dimensional statistics.
 .
 This package currently has implementations of medoid and geometric
 median with support for missing data using NaN.

=== debian/watch ===
version=4

opts="mode=git,pretty=0.13~git%cd.%h" \
    https://github.com/daleroberts/hdmedians.git HEAD

# Asked for release tags in
#     https://github.com/daleroberts/hdmedians/issues/2
# https://github.com/daleroberts/hdmedians/releases .*/archive/([.0-9]+)\.tar\.gz

## python-hdmedians 0.14.1

=== debian/changelog ===
python-hdmedians (0.14.1-1) unstable; urgency=medium

  * d/watch: Upstream is now using release tags
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 29 Sep 2020 09:00:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: python
+Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                cython3,
                python3-all-dev,
@@ -15,10 +16,11 @@
 #               python-nose,
 #               python-numpy,
 #               python-setuptools,
-Standards-Version: 4.2.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-hdmedians
 Vcs-Git: https://salsa.debian.org/med-team/python-hdmedians.git
 Homepage: https://github.com/daleroberts/hdmedians
+Rules-Requires-Root: no
 
 Package: python3-hdmedians
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=hdmedians

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/daleroberts/hdmedians/releases/latest .*/archive/v?@ANY_VERSION@\.tar\.gz

## python-hdmedians 0.14.2

=== debian/changelog ===
python-hdmedians (0.14.2-6build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:41:33 +0000

python-hdmedians (0.14.2-6build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 18:58:12 +0000

python-hdmedians (0.14.2-6) unstable; urgency=medium

  * Team upload.
  * Use dh-sequence-python3.
  * Use dh-sequence-numpy3 (closes: #1095284).
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Thu, 06 Feb 2025 22:27:15 +0000

python-hdmedians (0.14.2-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't add a runtime dependency on cython3. Closes: #1057866.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Dec 2023 21:36:28 +0100

python-hdmedians (0.14.2-5) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 25 Nov 2022 08:14:11 +0100

python-hdmedians (0.14.2-4) unstable; urgency=medium

  * Move package to Debian Python Team

 -- Andreas Tille <tille@debian.org>  Sun, 02 Jan 2022 17:02:42 +0100

python-hdmedians (0.14.2-3) unstable; urgency=medium

  * Team Upload.
  * Switch from nosetest -> pytest
  * d/control: B-D on python3-pytest
  * Add autopkgtests
  * d/rules: Remove .coverage files

 -- Nilesh Patra <nilesh@debian.org>  Sat, 18 Dec 2021 16:12:57 +0530

python-hdmedians (0.14.2-2) unstable; urgency=medium

  * Team Upload.
  * Switch from nosetest -> pytest
  * d/control: B-D on python3-pytest instead of nose

 -- Nilesh Patra <nilesh@debian.org>  Sat, 18 Dec 2021 16:03:27 +0530

python-hdmedians (0.14.2-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * Fixed d/watch (github path change)

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 27 Sep 2021 20:56:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,22 @@
 Source: python-hdmedians
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-numpy3,
+               dh-sequence-python3,
                cython3,
+               pybuild-plugin-pyproject,
                python3-all-dev,
-               python3-nose,
+               python3-pytest,
+               python3-pytest-cov,
                python3-numpy,
                python3-setuptools
-#               cython,
-#               python-all-dev,
-#               python-nose,
-#               python-numpy,
-#               python-setuptools,
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/med-team/python-hdmedians
-Vcs-Git: https://salsa.debian.org/med-team/python-hdmedians.git
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-hdmedians
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-hdmedians.git
 Homepage: https://github.com/daleroberts/hdmedians
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,7 @@
 export PYBUILD_NAME=hdmedians
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
+
+execute_after_dh_install:
+	find debian/ -name .coverage | xargs rm -rf

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/daleroberts/hdmedians/tags .*/v?@ANY_VERSION@\.tar\.gz
